
FDemerliac<-function(marfile){


	### Chargement de la table ###
	mat<-read.table(marfile,header=TRUE, sep=";")

	mat_clean<-FCleanREFMARData(mat)

	#### Matrice des mesures ####
	newmat<-matrix(mat_clean[,4],ncol=24,byrow=TRUE)
	
	taille<-dim(newmat)
	
	#### Vecteur des dates (annes dcimales) ####
	
	hours<-as.numeric(mat_clean[,3])
			
	years<-as.numeric(mat_clean[,1])
			
	ndays<-as.numeric(mat_clean[,2])

	days<-mat_clean[,5]
		
	### Nombre de jours dans l'anne

	ndinyear<-FIsBissextil(years)
	
	dec_years<-years+ndays/ndinyear+hours/(24*ndinyear)

	#### Affichage donnes ####
	size_nm<-taille

	H<-as.numeric(c(t(newmat)))

	count<-seq(1,length(H),1)
	
	#### Vecteur poids Demerliac ####

	PdsDemer<-c(1, 3, 8, 15, 21, 32, 45, 55, 72, 91, 105, 128, 153, 
			171, 200, 231, 253, 288, 325, 351, 392, 435, 465, 512, 
				558, 586, 624, 658, 678, 704, 726, 738, 752, 762, 766,
			768, 766, 762, 752, 738, 726, 704, 678, 658, 624, 586, 
			558, 512, 465, 435, 392, 351, 325, 288, 253, 231, 200,
			171, 153, 128, 105, 91, 72, 55, 45, 32, 21, 15, 8, 3, 1 )


	nbvpd <- 24576
	lgmatD <- 71
	
	# Initialisation de la matrice finale
	mat_resuD <-matrix(rep(NA,times=4*(size_nm[1]-2)),ncol=4);   

	t<-dim(mat_resuD )

	vecintD <- c(rep(0,times=lgmatD));   

	for (i in 2:(t[1]+1)){

		cptna<-0
		vecintD<-c(newmat[i-1,2:24],newmat[i,],newmat[i+1,])
		k<-1
		while(k<(lgmatD+1)){

			# Une valeur NA au plus pour le calcul
			if(is.na(vecintD[k])==TRUE) cptna<-cptna+1

			if((k==lgmatD)&&(cptna<2)){
				mat_resuD[i-1,]<-c(unlist(mat[i,1:3]),
				sum(as.numeric(unlist(vecintD))*PdsDemer)/nbvpd)
			}
			k<-k+1
		}
		vecintD <- c(rep(0,times=lgmatD)) 
	}	
	
	### Nouveau vecteur des dates
	
	daily_years<-years[13]
	daily_ndays<-ndays[13]
	daily_days<-days[13]

	cpt<-13+24
	while(cpt<length(years)){

		daily_years<-c(daily_years,years[cpt])
		daily_ndays<-c(daily_ndays,ndays[cpt])
		daily_days<-c(daily_days,days[cpt])

		cpt<-cpt+24
	}

	daily_ndinyear<-FIsBissextil(daily_years)

	new_count<-daily_years[2:(length(daily_years)-1)]+daily_ndays[2:(length(daily_years)-1)]/daily_ndinyear[2:(length(daily_years)-1)]
	
	### Affichage
	# Donnes horaires
	plot(dec_years,H,type="l",col="lightblue",xlab="Date (annes)",
		main="Donnes margraphiques filtres\r\nFiltre de Demerliac",
		ylab="Hauteur (m)")
	# Moyennes journalires
	lines(new_count,mat_resuD[,4],col="darkblue")

	### Ecriture de la nouvelle table
	dates<-format(signif(new_count,8),width=10,digits=10)

	Hfin<-format(round(mat_resuD[,4],3),digits=4)
	
	write.table(cbind(daily_days[2:(length(daily_days)-1)],Hfin),file = "dailymean.slv", append = FALSE, quote = FALSE,
	row.names = FALSE, col.names = FALSE)

}